package gc.mda.kcg.domain.satellite;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SatelliteDto {

    private int noradId;
    private String name;
    private String tle1;
    private String tle2;
    private String category;

    public static SatelliteDto from(SatelliteTle e) {
        return SatelliteDto.builder()
                .noradId(e.getNoradId())
                .name(e.getName())
                .tle1(e.getTleLine1())
                .tle2(e.getTleLine2())
                .category(e.getCategory())
                .build();
    }
}
